

/**
 * Title:        PlacementApplet
 * Description:  Animation of VLSI Module Placement
 * Copyright:    Copyright (c) 2001
 * Company:      Lafayette College
 * @author John Nestor
 * @version 1.0
 */

public class PMoveRotate extends PMove {
  public PMoveRotate(PModule pm) { super(pm); deltaCost = moveModule.rotate(); }

  public void undo() {
    super.undo();
    moveModule.rotate();
    moveModule.rotate();
    moveModule.rotate(); // hack until we code a reverse-rotate
  }

  public String toString() { return moveString("Rotate"); }

}